import React from 'react';
import { View, Image, Text, TouchableOpacity } from 'react-native';
import { useChatConfigurations } from '../../../../context/ChatConfigurations';
import { Icon } from '../../..';
import closeIcon from '../../../../assets/close_icon.png';
import { styles } from './styles';
function Header() {
  const {
    isChatOpen,
    toggleIsChatOpen,
    botConfigs
  } = useChatConfigurations();
  const onClose = () => !!isChatOpen && toggleIsChatOpen();
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, styles.wrapper, {
      backgroundColor: botConfigs.colors.main
    }]
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.titleContainer
  }, /*#__PURE__*/React.createElement(Icon, null), /*#__PURE__*/React.createElement(Text, {
    style: styles.title
  }, botConfigs.title)), /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: onClose
  }, /*#__PURE__*/React.createElement(View, {
    style: styles.closeIconContainer
  }, /*#__PURE__*/React.createElement(Image, {
    source: closeIcon,
    style: styles.closeIcon
  }))));
}
export default Header;
//# sourceMappingURL=index.js.map